let table;
let type = ['Bug', 'Dark', 'Fire', 'Grass', 'Ground', 'Normal', 'Water'];
var bug;
var dark;
var fire;
var grass;
var ground;
var normal;
var water;

let url =
  'https://raw.githubusercontent.com/Ahuynh111/gist-practice/main/PokemonAttack%20-%20Sheet1.csv';


function preload() {
  table = loadTable(url, 'csv', 'header');
}

function setup() {

  // put setup code here
  createCanvas(650, 700);
  bug = table.getColumn('Bug')
  dark = table.getColumn('Dark')
  fire = table.getColumn('Fire')
  grass = table.getColumn('Grass')
  ground = table.getColumn('Ground')
  normal = table.getColumn('Normal')
  water = table.getColumn('Water');
  noLoop();
}

function draw() {
  background(255);

  //background grid
  stroke(235, 235, 235);
  for (i = 0; i < 10; i++) {
    for (j = 0; j < 500; j = j + 50) {
      rect(100 + j, 100 + i * 50, 50, 50);
    }
  }

  //title
  text("Pokemon Attack Generation Averages -  Strip Chart", 225, 50);

  //y axis 
  for(i = 0; i<10; i++){
    text(i*100, 75,600-i*200 );
  }

  //x axis
  for(i = 0; i< 7; i++){
    text(type[i], 130+i*50, 620);
  }

  rotate(-HALF_PI);
  text("Attack Level", -400,40);
  rotate(HALF_PI);

  //plot
  stroke(0,0,0);
  strokeWeight(5)
  for(i = 0; i< bug.length; i++){
    point(150,600-bug[i]+random()); //random for jittering
  }
  for(i = 0; i< dark.length; i++){
    point(200,600-dark[i]+random()); 
  }
  for(i = 0; i< fire.length; i++){
    point(250,600-fire[i]+random()); 
  }
  for(i = 0; i< grass.length; i++){
    point(300,600-grass[i]+random()); 
  }
  for(i = 0; i< ground.length; i++){
    point(350,600-ground[i]+random()); 
  }
  for(i = 0; i< normal.length; i++){
    point(400,600-normal[i]+random()); 
  }
  for(i = 0; i< water.length; i++){
    point(450,600-water[i]+random()); 
  }
  
}